@echo off

set cp=.;jms.jar

wsimport -s . -d . -p nyangau.jmsadapter.mapclient -quiet file:mapper\MapperService.wsdl

for %%j in ( nyangau\jmsadapter\*.java ) do (
	javac -target 1.5 -Xlint:deprecation -cp %cp% %%j
)

jar -cf nyangau-jmsadapter.jar nyangau\jmsadapter\*.class nyangau\jmsadapter\mapclient\*.class jmsadapter.xsd
